[arch-dev-public] [PATCH 2/2] Accept any *.pkg.tar.* package file name

Pierre Schmitz pierre at archlinux.de
Sun Feb 21 10:15:48 EST 2010

Am Sonntag, 21. Februar 2010 15:57:38 schrieb Pierre Schmitz:
> > >>     pacman, libarchive and xz-utils) and add PKGEXT='.pkg.tar.gz' into
> > >>their PKGBUILDs
> > 
> > The use of --as-needed means we do not need all these.  So the list is 
> > somewhere between this and the one Pierre gave...  has anyone got a 
> > really old system we can test this upgrade on? I suppose an old 
> > installer is enough.
> I'll check that.

I booted a 2009.02 iso which doesn't know about xz and run -Syu. It'll update 
xz-utils, libarchive, libfetch and pacman. So we should be fine with keeping 
those in gz archives for a while.


Pierre Schmitz, https://users.archlinux.de/~pierre

More information about the arch-dev-public mailing list